Package org.apache.wiki.api.plugin

## Interface PluginElement

    public interface PluginElement

Exposes the contents of a plugin in a WikiDocument DOM tree.

### Method Summary

All Methods Instance Methods Abstract Methods
`void` `executeParse​(Context context)` Executes the executeParse() method.
`java.lang.String` `getParameter​(java.lang.String name)` Returns a parameter value from the parameter map.
`java.util.Map<java.lang.String,​java.lang.String>` `getParameters()` Returns the parameter map given in the constructor.
`java.lang.String` `getPluginName()` Returns the name of the plugin invoked by the DOM element.
`java.lang.String` `getText()` The main invocation for the plugin.
`java.lang.String` `getValue()` Returns the rendered plugin.
`java.lang.String` `invoke​(Context context)` Performs plugin invocation and return its contents.

### Method Detail

#### getPluginName

    java.lang.String getPluginName()

Returns the name of the plugin invoked by the DOM element.

Returns:
  Name of the plugin
Since:
  2.5.7

#### getParameter

    java.lang.String getParameter​(java.lang.String name)

Returns a parameter value from the parameter map.

Parameters:
  `name` - the name of the parameter.
Returns:
  The value from the map, or null, if no such parameter exists.

#### getParameters

    java.util.Map<java.lang.String,​java.lang.String> getParameters()

Returns the parameter map given in the constructor.

Returns:
  The parameter map.

#### getValue

    java.lang.String getValue()

Returns the rendered plugin. Only calls getText().

Returns:
  HTML

#### getText

    java.lang.String getText()

The main invocation for the plugin. When the getText() is called, it invokes the plugin and returns its contents. If there is no Document yet, only returns the plugin name itself.

Returns:
  The plugin rendered according to the options set in the WikiContext.

#### invoke

    java.lang.String invoke​(Context context)

Performs plugin invocation and return its contents.

Parameters:
  `context` - WikiContext in which the plugin is executed. Must NOT be null.
Returns:
  plugin contents.

#### executeParse

    void executeParse​(Context context)
               throws PluginException

Executes the executeParse() method.

Parameters:
  `context` - The WikiContext
Throws:
  `PluginException` - If something goes wrong.